베스트셀링 인기 워드프레스 테마 Top 30 자세한 정보

워드프레스에서 글 작성 시 블록 에디터를 사용할 수 없는 경우 (feat. 아바다 테마)

Last Updated: 2022년 12월 22일 | 댓글 남기기

일부 워드프레스 환경에서 글 작성 시 고전 편집기(클래식 에디터)가 실행되고 블록 에디터를 사용할 수 없는 경우가 있습니다. 만약 고전 편집기 플러그인이 설치되어 있는 경우 비활성화해보고, 그래도 문제가 해결되지 않으면 아래의 글을 참고하여 블록 에디터(구텐베르크)를 실행할 수 있는지 체크해보시기 바랍니다. 특히 아바다 테마 또는 Divi 테마에서 고전 편집기로만 글 작성 화면이 열리는 경우 아래의 방법으로 블록 에디터로 글을 작성할 수 있습니다.

고전 편집기 vs. 블록 에디터(구텐베르크)

워드프레스가 버전 5.0으로 업데이트되면서 기본 편집기가 고전 편집기에서 블록 에디터(구텐베르크)로 바뀌었습니다.

처음 구텐베르크 도입 시 워드프레스 커뮤니티에서 많은 저항이 있었습니다. 초기 구텐베르크 편집기에 버그가 많았고 성능상의 문제가 있었습니다. 다행히 시간이 지나면서 구텐베르크가 안정화되고 성능과 기능도 향상되었습니다.

워드프레스 5.0 이상에서 고전 편집기를 사용하고 싶은 경우 Classic Editor 플러그인을 사용할 수 있습니다. 고전 편집기 플러그인은 현재 500만 개가 넘는 사이트에 설치되어 사용되고 있습니다.

고전 편집기는 본래 2022년 말까지 지원될 예정이었지만 그 기간이 2024년으로 연장되었습니다.

Classic Editor is an official WordPress plugin, and will be fully supported and maintained until 2024, or as long as is necessary.

고전 편집기는 워드프레스 공식 플러그인이며 2024년(필요한 경우 연장 가능)까지 완전히 지원되고 유지 관리됩니다.

이제는 블록 에디터가 안정화되었고 기능도 개선되었으므로 가급적 블록 에디터를 사용하는 것을 고려해보시기 바랍니다.

글 작성 시 블록 에디터 vs. 페이지 빌더 (엘리멘터 등)

워드프레스에서 글을 작성할 때에는 엘리멘터 등의 페이지 빌더보다는 가급적 기본 편집기(고전 편집기 또는 구텐베르크)를 사용하는 것이 좋습니다.

여기에 대한 자세한 내용은 "워드프레스 글을 페이지 빌더로 작성해서는 안 되는 EU"를 참고해보시기 바랍니다.

워드프레스에서 글 작성 시 블록 에디터를 사용할 수 없는 경우

글 작성 시 블록 에디터가 열리지 않고 고전 편집기가 실행되는 경우가 있습니다.

고전 편집기 플러그인 비활성화

워드프레스 5.0 미만 버전에서는 고전 편집기가 기본 편집기입니다. 워드프레스 4.x 버전을 사용하는 경우에는 Gutenberg 편집기 플러그인을 설치하여 블록 에디터를 사용할 수 있습니다.

워드프레스 5.0 이상 버전에서 글 작성 시 고전 편집기가 열리는 경우 먼저 고전 편집기 플러그인이 설치되어 있다면 기본 에디터 설정을 변경하거나 고전 편집기 플러그인을 비활성화/삭제한 후에 문제가 해결되는지 체크해보시기 바랍니다.

비주얼 편집기 비활성화 옵션 해제하기

또한, 워드프레스 관리자 페이지 » 사용자 » 프로필에서 비주얼 편집기의 "글 쓸 때 비주얼 편집기 비활성화"가 체크되어 있다면 해제하면 블록 에디터가 작동할 것입니다.

워드프레스에서 글 작성 시 블록 에디터를 사용할 수 없는 경우

테마 옵션/플러그인 옵션에서 페이지 빌더를 편집 활성화 옵션 해제하기

페이지 빌더를 사용하는 일부 테마에서 페이지 빌더를 기본 편집기로 설정하는 옵션이 있을 수 있습니다.

예를 들어, Divi 테마에서 블록 에디터가 작동하지 않는 경우 워드프레스 관리자 페이지 » Divi » Theme Options » Builder 탭의 Enable Divi Builder On Post Types (포스트 타입에서 디비 빌더 활성화) 옵션에 대하여 을 비활성화할 수 있습니다.

워드프레스에서 글 작성 시 블록 에디터를 사용할 수 없는 경우 - Divi 테마

아바다 테마에서 블록 에디터를 사용할 수 없는 경우

베스트셀링 테마인 Avada 테마에서 새 글을 작성하면 보통 고전 편집기가 열릴 것입니다. 이 경우 알림판에서 글 » 새로 추가를 클릭하여 새 글을 작성하지 말고, 대신 글 » 모든 글 페이지에서 Add New 오른쪽에 있는 역삼각형 아이콘을 클릭하여 Gutenberg Editor를 선택하면 블록 에디터(구텐베르크 에디터)로 새 글 작성 화면이 열립니다.

워드프레스에서 글 작성 시 블록 에디터를 사용할 수 없는 경우 - 아바다 테마

기본적으로 Back-end Builder(백엔드 빌더)에서 글 작성 화면이 표시될 것입니다. 드롭다운 메뉴에서 구텐베르크 에디터를 선택하여 구텐베르크에서 새 글을 작성할 수 있습니다.

기존 글을 편집할 때에도 고전 편집기가 표시된다면 편집/수정하려면 글 제목 위에 마우스를 올리고 Gutenberg Editor를 선택하면 구텐베르크(블록 에디터)에서 글 편집 화면이 열립니다.

아바다 테마 글 편집

블록 에디터가 작동하지 않는 경우

위의 조치에도 블록 에디터가 작동하지 않으면 다음과 같은 조치를 취해볼 수 있습니다. 먼저 백업을 한 후에 테스트해보시기 바랍니다.

  1. 워드프레스 재설치
  2. 모든 플러그인 비활성화
  3. 테마를 기본 테마(예: Twenty Twenty-Three)로 변경하여 테스트

참고


댓글 남기기

Leave a Comment

워드프레스 네이버 카페 방문하기

Thanks!